Bug 1077320 - open-vm-tools should depend on ifconfig
Summary: open-vm-tools should depend on ifconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1130482
TreeView+ depends on / blocked
 
Reported: 2014-03-17 17:49 UTC by naisbody
Modified: 2014-08-15 10:58 UTC (History)
4 users (show)

Fixed In Version: open-vm-tools-9.4.0-8.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-11 20:48:42 UTC


Attachments (Terms of Use)

Description naisbody 2014-03-17 17:49:12 UTC
Description of problem:
If you install open-vm-tools, and you don't have ifconfig, the shutdown/restart/etc scripts will fail, and VMWare will complain. Yum should install net-tools for you so this doesn't happen.

Version-Release number of selected component (if applicable):
open-vm-tools 9.4.0-1.fc20

How reproducible:
100%, as far as I can tell.

Steps to Reproduce:
1. Do a minimal install of Fedora 20 in VMWare, then do 'yum install open-vm-tools' after it boots up.
2. Restart the VM

Actual results:
On boot VMWare will complain that a script has failed.

Expected results:
No such complaint.

Additional info:
This is fixed after you run 'yum install net-tools'

Comment 1 Richard W.M. Jones 2014-03-17 18:07:41 UTC
Be even better if upstream could use the 'ip' program
which is installed by default in core.

Comment 2 Ravindra Kumar 2014-03-19 18:12:25 UTC
Here is the complete list of dependencies for the scripts included in the package:

- 'ifup' from 'initscripts' package
- 'ifconfig' from 'net-tools' package
- 'dbus-send' from 'dbus' package
- 'egrep' from 'grep' package
- 'expr/date/dirname' from 'coreutils' package
- 'sed' from 'sed' package
- 'printf/basename' from 'coreutils' package
- 'tar' from 'tar' package

(In reply to Richard W.M. Jones from comment #1)
> Be even better if upstream could use the 'ip' program
> which is installed by default in core.

FYI, I have filed a bug for upstream to make this change.

Comment 3 Fedora Update System 2014-03-26 01:13:34 UTC
open-vm-tools-9.4.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/open-vm-tools-9.4.0-7.fc20

Comment 4 lnie 2014-03-26 02:58:02 UTC
open-vm-tools-9.4.0-7.fc20 works

Comment 5 Fedora Update System 2014-03-26 09:05:55 UTC
open-vm-tools-9.4.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/open-vm-tools-9.4.0-7.fc19

Comment 6 Fedora Update System 2014-03-26 09:06:34 UTC
open-vm-tools-9.4.0-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/open-vm-tools-9.4.0-7.el6

Comment 7 Fedora Update System 2014-03-26 17:39:17 UTC
Package open-vm-tools-9.4.0-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing open-vm-tools-9.4.0-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0967/open-vm-tools-9.4.0-7.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-04-03 19:56:51 UTC
open-vm-tools-9.4.0-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-4425/open-vm-tools-9.4.0-8.fc20

Comment 9 Fedora Update System 2014-04-03 19:56:56 UTC
open-vm-tools-9.4.0-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-4425/open-vm-tools-9.4.0-8.fc20

Comment 10 Fedora Update System 2014-04-11 20:48:42 UTC
open-vm-tools-9.4.0-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-04-15 15:26:50 UTC
open-vm-tools-9.4.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-04-15 15:44:01 UTC
open-vm-tools-9.4.0-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.